Data Structures

# smallstack_type.hpp File Reference

Minimal stack that uses a pool to avoid pointers and doesn't allocate any heap memory if there is only one valid item. More...

`#include "pool_type.hpp"`
`#include "pool_func.hpp"`

Go to the source code of this file.

## Data Structures
class | SmallStackItem< Tindex, Titem >
| Base class for SmallStack. More...
class | SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
| Minimal stack that uses a pool to avoid pointers. More...
class | SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack
| SmallStack item that can be kept in a pool (by having an index). More...

## Detailed Description

Minimal stack that uses a pool to avoid pointers and doesn't allocate any heap memory if there is only one valid item.

Definition in file smallstack_type.hpp.